Subject: Re: git gtk+/GNOME gui application: gitg

From: Michael J Gruber <[email-masked]>
Date: Wed, 04 Feb 2009 15:40:39 +0100

Jesse van den Kieboom venit, vidit, dixit 04.02.2009 15:33:
> Op woensdag 04-02-2009 om 15:29 uur [tijdzone +0100], schreef Michael J
> Gruber:
>> Jesse van den Kieboom venit, vidit, dixit 31.01.2009 21:05:
>>> Hi,
>>>
>>> I have been developing a gui application for git for gtk+/GNOME based on
>>> GitX (which in turn is based on gitk). I feel that it's reaching the
>>> point where it might potentially be useful for other people to use. It
>>> currently features:
>>>
>>> - Loading large repositories very fast
>>> - Show/browse repository history
>>> - Show highlighted revision diff
>>> - Browse file tree of a revision and export by drag and drop
>>> - Search in the revision history on subject, author or hash
>>> - Switch between history view of branches easily
>>> - Commit view providing per hunk stage/unstage and commit
>>>
>>> The project is currently hosted on github:
>>> http://github.com/jessevdk/gitg
>>>
>>> clone: git://github.com/jessevdk/gitg.git
>>>
>>> Please let me know what you think,
>> OK, played with it, looks nice. Some feedback:
>>
>> Bug:?
>> After unstaged a staged file it does not reappear under "unstaged". It
>> appears nowhere.
> 
> Hmm this _should_ happen, if it doesn't it's certainly a bug.

I just compared with staging/reverting the single hunk I had in there,
that works perfectly. The bug occurs only when unstaging from the list
of staged files.

>> Build:
>> gitg can't run from the build dir, it needs to be installed.
>> Reconfiguring with different --prefix does not rebuild (one needs to
>> make clean manually).
> 
> This is true, I got a patch to fix this, but I'm not sure it should go
> in (e.g. read data files from current working directory). It's not
> common to be able to run C/gtk+ apps from the build directory, you
> should install them in a local prefix.

Sure, but just to try it out? Imagine me poor soul, going through all
these GUIs and cloning, running
autogen.sh/qmake-qt4/configure/make/setup.py depending on the tk, and
finding I have to install in order to try it out (not to mention
dependencies)? ;)

>> Can one stage hunks somehow?
> 
> Yes, you can click on the hunk header @@...@@ when viewing the diff in
> the commit view. You can also rightclick on this header and revert a
> hunk (or stage/unstage it from the context menu).

Uh, thanks, works like a charm. I had tried selecting and right-clicking
the hunk itself...

Cheers,
Michael